Ubuntu 下 Postgres 客户端 psql 提示 Cannot read termcap database 的解决方法ITeye - 凯发娱乐

Ubuntu 下 Postgres 客户端 psql 提示 Cannot read termcap database 的解决方法ITeye

2019年02月20日09时27分03秒 | 作者: 尔烟 | 标签: 装置,篇文章,源码 | 浏览: 2057

在 ubuntu 10.10 装置 PostgresQL 9.0.3
从 PostgresQL 官网下载了Postgres 的二进制装置包,装置后,运转 psql 提示过错。
postgres@hellojinjie:/opt/PostgreSQL/9.0$ bin/psql
Password: 
psql (9.0.3)
Type "help" for help.
Cannot read termcap database;
using dumb terminal settings.
Aborted

google 到这篇文章 http://www.cnblogs.com/yangbajing/archive/2011/03/24/1993859.html
但是在 ubuntu 10.10 中并没有 compat-libtermcap 这个软件包,因而也无法安照上面的这篇文章解决问题。
持续 google, http://www.google.com/#sclient=psy hl=en source=hp q=termcap+download aq=1 aqi=g5 aql= oq= pbx=1 bav=on.2,or.r_gc.r_pw. fp=e7386a9c3eba4fdd

找到了 termcap 的源码,下载后,解压找到里边的 termcap.src 将其重命名为 termcap 并复制到 /etc 目录就能够了。
postgres@hellojinjie:/opt/PostgreSQL/9.0/bin$ ./psql
Password: 
psql (9.0.3)
Type "help" for help.
postgres=#

不想到网上找 termcap 源码的同学,能够从附件里直接下载,解压后,复制到 /etc 目录就能够了
版权声明
本文来源于网络,版权归原作者所有,其内容与观点不代表凯发娱乐立场。转载文章仅为传播更有价值的信息,如采编人员采编有误或者版权原因,请与我们联系,我们核实后立即修改或删除。

猜您喜欢的文章